Katello - Bug #6759

can not scroll Content -> Sync Status when | have slightly more repos that fit to one page and I'm
using Firefox

07/23/2014 06:47 PM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1108928 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/447
8
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1108928
Description of problem:
I can not scroll page Content -> Sync Status when | have slightly more repos that fit to one page height and I'm using Firefox.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140611.1

How reproducible:
always

Steps to Reproduce:

1. Create more slightly repos that fit to your Content -> Sync Status page
in fully expanded state

2. Try to use mouse wheel or right hand scroll stuff to scroll to

the bottom of the page

Actual results:
I'm unable to fully scroll down.

Expected results:
| can scroll.

Additional info:

Looks like this have something to do with hiding top-nost bar with "Red Hat Satellite" label. | have not seen this issue when | have
made browser window smaller. Seems to me you can simulate this with almost any non-0 count of repositories and making browser
window just little less height than needed to display the list without scroll bar.

Associated revisions

Revision b2b52bc3 - 07/23/2014 07:06 PM - Walden Raines
Fixes #6759/BZ1108928: using #content as topbar.js expects.

Foreman's topbar.js expects an element with an id of "content”

that it adds top padding the size of the header to in order for

there to be sufficient room for the floating header. This commit
renames #maincontent to #content so Foreman's topbar.js works for
katello pages.

http://projects.theforeman.org/issues/6759
https://bugzilla.redhat.com/show_bug.cgi?id=1108928

Revision d345f554 - 07/24/2014 11:42 AM - Walden Raines
Merge pull request #4478 from waldenraines/6759
http://projects.theforeman.org/issues/6759
Fixes #6759/BZ1108928: using #content as topbar.js expects.

History

#1 - 07/23/2014 07:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4478 added
- Pull request deleted ()

#2 - 07/24/2014 11:42 AM - Walden Raines
- Difficulty set to easy

#3 - 07/24/2014 11:42 AM - Walden Raines
- Triaged changed from No to Yes

#4 - 07/24/2014 12:01 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|b2b52bc3c030b21b88d5d86b2356874471efd843.

#5 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
